# 股东持仓详情

`GET` `/v1/quote/shareholders/holding`

获取单个股东的持仓历史及交易明细。`object_id` 来自 `shareholder_top` 返回结果。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `AAPL.US` |
| `object_id` | integer | Yes | 股东 ID，来自 `shareholder_top` 的 `object_id` 字段 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/shareholders/holding?symbol=<symbol>&object_id=<object_id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `title` | string | No | 股东头衔 / 类型 |
| `avatar` | string | No | 头像 URL |
| `owner_source` | string | No | 股东类型：`Company`、`Institution`、`Person`、`Insider` |
| `holding_periods` | string[] | No | 可用的持仓报告期列表 |
| `holding_details` | object[] | No | 持仓明细记录 |
| `holding_summary` | object[] | No | 持仓汇总记录 |
| `trading_periods` | string[] | No | 可用的交易统计区间（如 `Past 1 Month`、`Past 3 Months`） |
| `tradings` | object[] | No | 各区间交易汇总 |
| `└ period` | string | No | 区间标签（如 `Past 1 Month`） |
| `└ accum_buy` | string | No | 该区间累计买入股数 |
| `└ accum_sell` | string | No | 该区间累计卖出股数 |
| `└ net_buy` | string | No | 该区间净买入股数（买入减卖出） |
| `└ trading_details` | object[] | No | 该区间内的具体交易记录 |
| `└ ∟ trading_date` | string | No | 交易日期 |
| `└ ∟ trading_shares` | string | No | 交易股数 |
| `└ ∟ trading_price` | string | No | 交易价格 |
| `└ ∟ trading_type` | string | No | 交易方向：`Buy` 或 `Sell` |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "name": "The Vanguard Group, Inc.",
    "title": "",
    "avatar": "",
    "owner_source": "Institution",
    "holding_periods": [],
    "holding_details": [],
    "holding_summary": [],
    "trading_periods": [
      "Past 1 Month",
      "Past 3 Months",
      "Past 1 Year",
      "Past 3 Years"
    ],
    "tradings": [
      {
        "period": "Past 1 Month",
        "accum_buy": "8500000.00",
        "accum_sell": "2687264.00",
        "net_buy": "5812736.00",
        "trading_details": [
          {
            "trading_date": "2025-12-18",
            "trading_shares": "5200000",
            "trading_price": "248.12",
            "trading_type": "Buy"
          }
        ]
      }
    ]
  }
}
```
